petsc-3.10.5 2019-03-28
Report Typos and Errors

# DMDACoor2d

Structure for holding 2d (x and y) coordinates.

### Synopsis

    DMDACoor2d **coors;
    Vec      vcoors;
    DM       cda;
    DMGetCoordinates(da,&vcoors);
    DMGetCoordinateDM(da,&cda);
    DMDAVecGetArray(cda,vcoors,&coors);
    DMDAGetCorners(cda,&mstart,&nstart,0,&m,&n,0)
    for (i=mstart; i<mstart+m; i++) {
    for (j=nstart; j<nstart+n; j++) {
    x = coors[j][i].x;
    y = coors[j][i].y;
    ......
    }
    }
    DMDAVecRestoreArray(dac,vcoors,&coors);

### See Also

DMDACoor3d, DMGetCoordinateDM(), DMGetCoordinates()

### Level

intermediate

### Location

src/dm/impls/da/../../../../include/petscdmda.h

### Examples

src/snes/examples/tutorials/ex5.c.html
Index of all DMDA routines
Table of Contents for all manual pages
Index of all manual pages